> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payfonte.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Collection History

> Retrieve a paginated list of all collection transactions



## OpenAPI

````yaml /api-reference/openapi-3.1.yml get /payments/v1/payments
openapi: 3.1.0
info:
  title: Payfonte - OpenAPI 3.1
  description: >-
    This is the minimal API for payfonte collection and disbursements API. To
    view a more elaborate documentation see here.


    Some useful links:

    - [Home](https://payfonte.com)

    - [Payfonte Documentation](https://docs.payfonte.com)
  termsOfService: https://www.payfonte.com/terms
  contact:
    email: tech@payfonte.com
  version: 1.0.0
servers:
  - url: https://sandbox-api.payfonte.com
    description: Sandbox API Base URL
  - url: https://api.payfonte.com
    description: Production API Base URL
security:
  - clientId: []
    clientSecret: []
tags:
  - name: Collections
    description: Everything about your payment collection with payfonte
    externalDocs:
      description: Find out more
      url: https://docs.payfonte.com/#/collections/inline
  - name: Card Collections
    description: Everything about your card payment collections with payfonte
  - name: Disbursements
    description: >
      Find full list of supported Disbursement providers here [Supported
      Providers](https://docs.payfonte.com/#/Disbursements/supported-Disbursements)

      There are 3 main process to carry out a Disbursement on Payfonte

      1. Validate A transfer Recipient

      2. Initiate a Disbursement Request

      3. Verify a Disbursement Request
  - name: Wallets
    description: >-
      A Little bit about our [wallets here]
      (https://docs.payfonte.com/#/introductions/wallets)
paths:
  /payments/v1/payments:
    get:
      tags:
        - Collections
      summary: Fetch Collection History
      description: Retrieve a paginated list of all collection transactions
      operationId: getAllCheckouts
      parameters:
        - in: query
          name: page
          schema:
            type: integer
            minimum: 1
            default: 1
          description: Page number for pagination
        - in: query
          name: limit
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 4
          description: Number of records per page
        - in: query
          name: dateFrom
          schema:
            type: string
            format: date
            example: '2024-01-01'
          description: Start date for filtering transactions (inclusive)
          required: false
        - in: query
          name: dateTo
          schema:
            type: string
            format: date
            example: '2025-01-01'
          description: End date for filtering transactions (inclusive)
          required: false
      responses:
        '200':
          description: Successfully retrieved transactions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAllCheckoutResponse'
components:
  schemas:
    GetAllCheckoutResponse:
      type: object
      properties:
        statusCode:
          type: integer
          example: 200
        total:
          type: integer
          description: Total number of records
          example: 1253
        page:
          type: integer
          description: Current page number
          example: 1
        pages:
          type: integer
          description: Total number of pages
          example: 314
        limit:
          type: integer
          description: Number of records per page
          example: 4
        data:
          type: array
          items:
            type: object
            properties:
              checkoutId:
                type: string
                example: 67ccca10721271b00713d4c3
              clientId:
                type: string
                example: payfusion
              provider:
                type: string
                nullable: true
                example: MTN MoMo
              providerLogo:
                type: string
                nullable: true
                example: >-
                  https://seeklogo.com/images/M/mtn-logo-40644FC8B0-seeklogo.com.png
              channel:
                type: string
                nullable: true
                example: mobile-money
              reference:
                type: string
                example: D20250308225200TLWNG
              providersReference:
                type: string
                nullable: true
                example: '1690402150'
              currency:
                type: string
                example: KES
              amount:
                type: number
                example: 281400
              user:
                type: object
                properties:
                  name:
                    type: string
                    example: katigbanoma ent
                  email:
                    type: string
                    example: bidemi64@gmail.com
                  phoneNumber:
                    type: string
                    example: '+2348171633912'
              merchantFee:
                type: number
                example: 0
              customerFee:
                type: number
                example: 0
              merchantFeeLabel:
                type: string
                example: KES 0.00
              customerFeeLabel:
                type: string
                example: KES 0.00
              charge:
                type: number
                nullable: true
                example: 0
              paidAt:
                type: number
                nullable: true
                example: 1741188234
              status:
                type: string
                example: success
                enum:
                  - success
                  - abandoned
              availableBalance:
                type: number
                example: 0
              createdAt:
                type: string
                format: date-time
                example: '2025-03-08T22:52:00.729Z'
  securitySchemes:
    clientId:
      type: apiKey
      name: client-id
      in: header
    clientSecret:
      type: apiKey
      name: client-secret
      in: header

````